Issue 119458

Summary: [From Symphony]Slide Master is modified after importing a pot template file
Product: Impress Reporter: liuping <doneyourself>
Component: open-importAssignee: AOO issues mailing list <issues>
Status: REOPENED --- QA Contact:
Severity: Normal    
Priority: P3 CC: bjdujing, lijianyuan1983, louqingle, sunying, sunyingshadesun
Version: 3.4.0   
Target Milestone: ---   
Hardware: PC   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
samplefile
none
capture.jpg
none
patch for ppt export mastr subtitle error sunyingshadesun: review?

Description liuping 2012-05-28 09:40:17 UTC
Created attachment 77643 [details]
samplefile

1. Import the template to AOO and MS.
2. click View->Master->Slide Master menu item.
3.  Comparing two files

Defect:
Slide Master layout change 
pls refer capture .jpg
Comment 1 liuping 2012-05-28 09:41:19 UTC
Created attachment 77644 [details]
capture.jpg
Comment 2 Du Jing 2012-07-17 06:09:36 UTC
confirmed,change its status
Comment 3 SunYing 2012-08-02 08:15:46 UTC
Root Cause:
the subtitle's placehoder  id and instance is wrong.
Comment 4 SunYing 2012-08-02 08:25:32 UTC
 Root Cause:
the subtitle's placehoder id and instance is wrong when export.
Comment 5 SunYing 2012-08-02 08:28:35 UTC
Created attachment 78826 [details]
patch for ppt export mastr subtitle error

Resolution:
set the right id and instance when export subtitle present object in master page
Comment 6 Jianyuan Li 2012-08-14 08:42:30 UTC
Reviewed and looks good.
Comment 7 SVN Robot 2012-08-16 03:29:09 UTC
"sunying" committed SVN revision 1373721 into trunk:
#119458# fix master's subtitle is modified when save .pot template file.Repor...
Comment 8 sunying 2012-08-20 01:51:10 UTC
has been fixed
Comment 9 louqle 2012-08-28 03:36:42 UTC
failed on trunk build 1377620.

The master view is still incorrect after import into Aoo